SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Generic)  >   SwiftView Vendors:   SwiftView
SwiftView Buffer Overflow in ActiveX Control and Plug-in Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1019287
SecurityTracker URL:  http://securitytracker.com/id/1019287
CVE Reference:   CVE-2007-5602   (Links to External Site)
Date:  Jan 31 2008
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 8.3.4 and prior versions
Description:   A vulnerability was reported in SwiftView. A remote user can cause arbitrary code to be executed on the target user's system.

A remote user can create specially crafted HTML that, when loaded by the target user, will trigger a buffer overflow in the ActiveX control (svocx.ocx) and plug-in (npsview.dll) and execute arbitrary code on the target system. The code will run with the privileges of the target user.

The CLSID of the vulnerable control is: 7DD62E58-5FA8-11D2-AFB7-00104B64F126

Will Dormann of the CERT/CC reported this vulnerability.

Impact:   A remote user can create HTML that, when loaded by the target user, will execute arbitrary code on the target user's system.
Solution:   The vendor has issued a fixed version (8.3.5).

The SwiftView advisory is available at:

http://www.swiftview.com/tech/security/bulletins/SBSV-07-10-02.htm

Vendor URL:  www.swiftview.com/tech/security/bulletins/SBSV-07-10-02.htm (Links to External Site)
Cause:   Boundary error
Underlying OS:   Windows (Any)

Message History:   None.


 Source Message Contents

Date:  Thu, 31 Jan 2008 12:04:11 -0500
Subject:  SwiftView update available to address security vulnerability


http://www.swiftview.com/tech/security/bulletins/SBSV-07-10-02.htm

CVE-2007-5602
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC